---
title: warrior
---

A ThinkPad T42 with a Pentium M and a Radeon 7500. The goal is to get
Windows 98SE installed on it, to deprecate the virtual machine that I
sometimes use for nostalgia purposes.

The setup is far from easy and backups are being done by archiving
the entire drive on `falcon`, my main desktop, via an IDE-to-USB adapter
I bought specially for this project.

If it truly fails, I might end up installing Windows 2000 SP4 on it instead.

## Setup checklist

* Setup
* Ethernet driver (`apps/setup/setupbd/w98-ws32/setupbd.exe`)  
  This was copied over to the laptop from a ThinkPad X23 running Windows XP
  over infrared, at about 8kbps, as neither Bluetooth, Wi-Fi, Ethernet or USB
  worked, and I was not equipped to try RS232.  
  Beyond this point, files are copied via a WebDAV server hosted on
  [mountain](./mountain.html).
* 7-Zip 7.20
* DirectX 9.0c
* Radeon 7500 via devmgr (`driver/9x_inf`)
* Screen configuration
* intel-mobo
  * `isapnp.vxd` not found (CD unavailable)
  * 2 reboots, including one hard reboot
* Reinstallation of the PCI ISA Bridge driver
* IBM Battery MaxiMizer
* ThinkPad Audio
  * 2 reboots
  * 2 manual actions to point to the CD
  * 2 file conflicts: overwrite existing files
* ThinkPad HotKey Features
* ADI Audio
  * Overwrite all conflicts with the other driver
* ThinkPad UltraNav
* ThinkPad UltraBay
* ThinkPad Hibernation Utility
* Intel SpeedStep
* Screen (INF file to configure in the display settings)
* 56K modem
* Windows Installer 2.0
* DAEMON Tools 3.47
* Internet Explorer 6 SP1
* Opera 9.64
* TightVNC 1.3.10
* RetroZilla 2.2
* eXeScope 6.50
* Windows Media Player 9 Series
* Windows Media Player 10 (98MP10FR)
  * 1 file conflict: overwrite
* Paint Shop Pro 9
* Animation Shop 3
* ***[Position of current backup]***
* ~~Office XP~~ Windows protection error
* ~~Visual Studio 6.0 Enterprise~~ Windows protection error
* ~~MSDN 6.0~~

## To-do

* Try [Unknown Devices](http://halfdone.com/ukd) to find the missing drivers
* Retrieve `msimg32.dll` from Windows ME for Opera
* Try to copy the 98 VM's disk, then install the drivers
* Install Microsoft Train Simulator
* Install SpeedFan
* Consider other Office versions?
* Test USB support on a different OS
