﻿---
title: Wayback Machine
---

Some notes from my regular use of the Wayback Machine.

I donated $100 to the Internet Archive in 2021.

## URL format

`https://web.archive.org/web/<date>/<url>`

### Dates

`*`
: Displays the calendar, with all the available versions of a URL.

`YYYY[MM[DD[HH[MM[SS]]]]]*`
: Displays the calendar at this particular year.

`YYYY[MM[DD[HH[MM[SS]]]]]`
: Displays the version that is the closest to this date, along with the Wayback
Machine header that allows switching to another version, always as an HTML page
in UTF-8.

`YYYY[MM[DD[HH[MM[SS]]]]][a-z]{2}_`
: Displays the version that is the closest to this date, but without the Wayback
Machine's header and with the original MIME type and encoding. Useful when the
page was not encoded in UTF-8 as the normal version can have issues.

### URL

If the URL ends with `*` and the date specifier is `*`, then a list of all URLs
that start with this prefix is displayed. Otherwise, the Wayback Machine matches
the URL exactly and might return a 404.
